net.sf.jasperreports.engine.base

## Class JRBaseObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory
  - - net.sf.jasperreports.engine.base.JRBaseObjectFactory

- All Implemented Interfaces:
    JRVisitor
  Direct Known Subclasses:
    DatasetCloneObjectFactory, TableReportBaseObjectFactory

      public class JRBaseObjectFactory
      extends JRAbstractObjectFactory

  Factory of objects used in compiled reports.
  Version:
    $Id: JRBaseObjectFactory.java 6874 2014-02-07 11:24:22Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseObjectFactory(JRDefaultStyleProvider defaultStyleProvider)`
    `protected` | `JRBaseObjectFactory(JRDefaultStyleProvider defaultStyleProvider, JRExpressionCollector expressionCollector)` Constructs a base object factory.
    `protected` | `JRBaseObjectFactory(JRExpressionCollector expressionCollector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRAreaPlot` | `getAreaPlot(JRAreaPlot areaPlot)`
    `protected JRBaseBand` | `getBand(JRBand band)`
    `JRBar3DPlot` | `getBar3DPlot(JRBar3DPlot barPlot)`
    `JRBarPlot` | `getBarPlot(JRBarPlot barPlot)`
    `JRBubblePlot` | `getBubblePlot(JRBubblePlot bubblePlot)`
    `JRCandlestickPlot` | `getCandlestickPlot(JRCandlestickPlot candlestickPlot)`
    `JRCategoryDataset` | `getCategoryDataset(JRCategoryDataset categoryDataset)`
    `JRCategorySeries` | `getCategorySeries(JRCategorySeries categorySeries)`
    `JRBaseCellContents` | `getCell(JRCellContents cell)`
    `JRChartAxis` | `getChartAxis(JRChartAxis axis)`
    `JRConditionalStyle` | `getConditionalStyle(JRConditionalStyle conditionalStyle, JRStyle style)`
    `JRBaseCrosstabBucket` | `getCrosstabBucket(JRCrosstabBucket bucket)`
    `JRCrosstabCell` | `getCrosstabCell(JRCrosstabCell cell)`
    `CrosstabColumnCell` | `getCrosstabColumnCell(CrosstabColumnCell cell)`
    `JRBaseCrosstabColumnGroup` | `getCrosstabColumnGroup(JRCrosstabColumnGroup group)`
    `JRBaseCrosstabDataset` | `getCrosstabDataset(JRCrosstabDataset crosstabDataset)`
    `JRBaseCrosstabMeasure` | `getCrosstabMeasure(JRCrosstabMeasure measure)`
    `JRBaseCrosstabParameter` | `getCrosstabParameter(JRCrosstabParameter parameter)`
    `JRBaseCrosstabRowGroup` | `getCrosstabRowGroup(JRCrosstabRowGroup group)`
    `DataAxis` | `getDataAxis(DataAxis axis)`
    `DataAxisLevel` | `getDataAxisLevel(DataAxisLevel level)`
    `DataLevelBucket` | `getDataLevelBucket(DataLevelBucket bucket)`
    `DataLevelBucketProperty` | `getDataLevelBucketProperty(DataLevelBucketProperty bucketProperty)`
    `DataMeasure` | `getDataMeasure(DataMeasure measure)`
    `JRBaseDataset` | `getDataset(JRDataset dataset)`
    `protected JRBaseDatasetParameter` | `getDatasetParameter(JRDatasetParameter datasetParameter)`
    `JRBaseDatasetRun` | `getDatasetRun(JRDatasetRun datasetRun)`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JRElementDataset` | `getElementDataset(JRElementDataset dataset)`
    `JRExpression` | `getExpression(JRExpression expression, boolean assignNotUsedId)`
    `protected JRBaseExpressionChunk` | `getExpressionChunk(JRExpressionChunk expressionChunk)`
    `protected JRBaseField` | `getField(JRField field)`
    `JRGanttDataset` | `getGanttDataset(JRGanttDataset ganttDataset)`
    `JRGanttSeries` | `getGanttSeries(JRGanttSeries ganttSeries)`
    `JRGenericElementParameter` | `getGenericElementParameter(JRGenericElementParameter elementParameter)`
    `protected JRBaseGroup` | `getGroup(JRGroup group)`
    `JRHighLowDataset` | `getHighLowDataset(JRHighLowDataset highLowDataset)`
    `JRHighLowPlot` | `getHighLowPlot(JRHighLowPlot highLowPlot)`
    `JRHyperlink` | `getHyperlink(JRHyperlink hyperlink)`
    `JRHyperlinkParameter` | `getHyperlinkParameter(JRHyperlinkParameter parameter)`
    `JRLinePlot` | `getLinePlot(JRLinePlot linePlot)`
    `JRMeterPlot` | `getMeterPlot(JRMeterPlot meterPlot)`
    `MultiAxisData` | `getMultiAxisData(MultiAxisData data)`
    `MultiAxisDataset` | `getMultiAxisDataset(MultiAxisDataset dataset)`
    `JRMultiAxisPlot` | `getMultiAxisPlot(JRMultiAxisPlot multiAxisPlot)`
    `protected JRBaseParameter` | `getParameter(JRParameter parameter)`
    `JRPie3DPlot` | `getPie3DPlot(JRPie3DPlot pie3DPlot)`
    `JRPieDataset` | `getPieDataset(JRPieDataset pieDataset)`
    `JRPiePlot` | `getPiePlot(JRPiePlot piePlot)`
    `JRPieSeries` | `getPieSeries(JRPieSeries pieSeries)`
    `JRPropertyExpression` | `getPropertyExpression(JRPropertyExpression propertyExpression)`
    `protected JRBaseQuery` | `getQuery(JRQuery query)`
    `protected JRBaseQueryChunk` | `getQueryChunk(JRQueryChunk queryChunk)`
    `JRReportTemplate` | `getReportTemplate(JRReportTemplate template)`
    `protected BaseReturnValue` | `getReturnValue(ReturnValue returnValue)`
    `JRScatterPlot` | `getScatterPlot(JRScatterPlot scatterPlot)`
    `protected JRBaseScriptlet` | `getScriptlet(JRScriptlet scriptlet)`
    `protected JRBaseSection` | `getSection(JRSection section)`
    `protected JRBaseSortField` | `getSortField(JRSortField sortField)`
    `JRStyle` | `getStyle(JRStyle style)`
    `protected JRBaseSubreportParameter` | `getSubreportParameter(JRSubreportParameter subreportParameter)`
    `protected JRBaseSubreportReturnValue` | `getSubreportReturnValue(JRSubreportReturnValue returnValue)`
    `JRThermometerPlot` | `getThermometerPlot(JRThermometerPlot thermometerPlot)`
    `JRTimePeriodDataset` | `getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)`
    `JRTimePeriodSeries` | `getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)`
    `JRTimeSeries` | `getTimeSeries(JRTimeSeries timeSeries)`
    `JRTimeSeriesDataset` | `getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)`
    `JRTimeSeriesPlot` | `getTimeSeriesPlot(JRTimeSeriesPlot plot)`
    `JRValueDataset` | `getValueDataset(JRValueDataset valueDataset)`
    `JRBaseVariable` | `getVariable(JRVariable variable)`
    `JRXyDataset` | `getXyDataset(JRXyDataset xyDataset)`
    `JRXySeries` | `getXySeries(JRXySeries xySeries)`
    `JRXyzDataset` | `getXyzDataset(JRXyzDataset xyzDataset)`
    `JRXyzSeries` | `getXyzSeries(JRXyzSeries xyzSeries)`
    `protected void` | `handleStyleNameReference(JRStyleSetter setter, java.lang.String nameReference)`
    `protected int` | `resolveCrosstabId(JRCrosstab crosstab)`
    `void` | `setDefaultStyleProvider(JRDefaultStyleProvider defaultStyleProvider)`
    `void` | `setStyle(JRStyleSetter setter, JRStyleContainer styleContainer)` This method preserves both specified styles and external style name references.
    `void` | `visitBreak(JRBreak breakElement)`
    `void` | `visitChart(JRChart chart)`
    `void` | `visitComponentElement(JRComponentElement componentElement)` Visits a component wrapper element.
    `void` | `visitCrosstab(JRCrosstab crosstab)`
    `void` | `visitElementGroup(JRElementGroup elementGroup)`
    `void` | `visitEllipse(JREllipse ellipse)`
    `void` | `visitFrame(JRFrame frame)`
    `void` | `visitGenericElement(JRGenericElement element)` Visits a generic report element.
    `void` | `visitImage(JRImage image)`
    `void` | `visitLine(JRLine line)`
    `void` | `visitRectangle(JRRectangle rectangle)`
    `void` | `visitStaticText(JRStaticText staticText)`
    `void` | `visitSubreport(JRSubreport subreport)`
    `void` | `visitTextField(JRTextField textField)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory

      `get, getExpression, getFont, getVisitResult, put, setVisitResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRBaseObjectFactory

          protected JRBaseObjectFactory(JRDefaultStyleProvider defaultStyleProvider)

    - #### JRBaseObjectFactory

          protected JRBaseObjectFactory(JRDefaultStyleProvider defaultStyleProvider,
                             JRExpressionCollector expressionCollector)

      Constructs a base object factory.
      Parameters:
        `defaultStyleProvider` - the default style provider
        `expressionCollector` - the expression collector used as expression ID provider

    - #### JRBaseObjectFactory

          protected JRBaseObjectFactory(JRExpressionCollector expressionCollector)

  - ### Method Detail

    - #### setDefaultStyleProvider

          public void setDefaultStyleProvider(JRDefaultStyleProvider defaultStyleProvider)

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

    - #### getStyle

          public JRStyle getStyle(JRStyle style)

      Specified by:
        `getStyle` in class `JRAbstractObjectFactory`

    - #### setStyle

          public void setStyle(JRStyleSetter setter,
                      JRStyleContainer styleContainer)

      This method preserves both specified styles and external style name references.
      Specified by:
        `setStyle` in class `JRAbstractObjectFactory`
      Parameters:
        `setter` - a setter for the object on which the style should be set.
        `styleContainer` - the original style container
      See Also:
        `JRAbstractObjectFactory.setStyle(JRStyleSetter, JRStyleContainer)`

    - #### handleStyleNameReference

          protected void handleStyleNameReference(JRStyleSetter setter,
                                      java.lang.String nameReference)

    - #### getScriptlet

          protected JRBaseScriptlet getScriptlet(JRScriptlet scriptlet)

    - #### getParameter

          protected JRBaseParameter getParameter(JRParameter parameter)

    - #### getQuery

          protected JRBaseQuery getQuery(JRQuery query)

    - #### getQueryChunk

          protected JRBaseQueryChunk getQueryChunk(JRQueryChunk queryChunk)

    - #### getField

          protected JRBaseField getField(JRField field)

    - #### getSortField

          protected JRBaseSortField getSortField(JRSortField sortField)

    - #### getVariable

          public JRBaseVariable getVariable(JRVariable variable)

    - #### getExpression

          public JRExpression getExpression(JRExpression expression,
                                   boolean assignNotUsedId)

      Specified by:
        `getExpression` in class `JRAbstractObjectFactory`

    - #### getExpressionChunk

          protected JRBaseExpressionChunk getExpressionChunk(JRExpressionChunk expressionChunk)

    - #### getGroup

          protected JRBaseGroup getGroup(JRGroup group)

    - #### getSection

          protected JRBaseSection getSection(JRSection section)

    - #### getBand

          protected JRBaseBand getBand(JRBand band)

    - #### visitElementGroup

          public void visitElementGroup(JRElementGroup elementGroup)

    - #### visitBreak

          public void visitBreak(JRBreak breakElement)

    - #### visitLine

          public void visitLine(JRLine line)

    - #### visitRectangle

          public void visitRectangle(JRRectangle rectangle)

    - #### visitEllipse

          public void visitEllipse(JREllipse ellipse)

    - #### visitImage

          public void visitImage(JRImage image)

    - #### visitStaticText

          public void visitStaticText(JRStaticText staticText)

    - #### visitTextField

          public void visitTextField(JRTextField textField)

    - #### visitSubreport

          public void visitSubreport(JRSubreport subreport)

    - #### getSubreportParameter

          protected JRBaseSubreportParameter getSubreportParameter(JRSubreportParameter subreportParameter)

    - #### getDatasetParameter

          protected JRBaseDatasetParameter getDatasetParameter(JRDatasetParameter datasetParameter)

    - #### getPieDataset

          public JRPieDataset getPieDataset(JRPieDataset pieDataset)

      Specified by:
        `getPieDataset` in class `JRAbstractObjectFactory`

    - #### getPiePlot

          public JRPiePlot getPiePlot(JRPiePlot piePlot)

      Specified by:
        `getPiePlot` in class `JRAbstractObjectFactory`

    - #### getPie3DPlot

          public JRPie3DPlot getPie3DPlot(JRPie3DPlot pie3DPlot)

      Specified by:
        `getPie3DPlot` in class `JRAbstractObjectFactory`

    - #### getCategoryDataset

          public JRCategoryDataset getCategoryDataset(JRCategoryDataset categoryDataset)

      Specified by:
        `getCategoryDataset` in class `JRAbstractObjectFactory`

    - #### getTimeSeriesDataset

          public JRTimeSeriesDataset getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)

      Specified by:
        `getTimeSeriesDataset` in class `JRAbstractObjectFactory`

    - #### getTimePeriodDataset

          public JRTimePeriodDataset getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)

      Specified by:
        `getTimePeriodDataset` in class `JRAbstractObjectFactory`

    - #### getGanttDataset

          public JRGanttDataset getGanttDataset(JRGanttDataset ganttDataset)

    - #### getPieSeries

          public JRPieSeries getPieSeries(JRPieSeries pieSeries)

      Specified by:
        `getPieSeries` in class `JRAbstractObjectFactory`

    - #### getCategorySeries

          public JRCategorySeries getCategorySeries(JRCategorySeries categorySeries)

      Specified by:
        `getCategorySeries` in class `JRAbstractObjectFactory`

    - #### getXySeries

          public JRXySeries getXySeries(JRXySeries xySeries)

    - #### getTimeSeries

          public JRTimeSeries getTimeSeries(JRTimeSeries timeSeries)

      Specified by:
        `getTimeSeries` in class `JRAbstractObjectFactory`

    - #### getTimePeriodSeries

          public JRTimePeriodSeries getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)

      Specified by:
        `getTimePeriodSeries` in class `JRAbstractObjectFactory`

    - #### getGanttSeries

          public JRGanttSeries getGanttSeries(JRGanttSeries ganttSeries)

    - #### getBarPlot

          public JRBarPlot getBarPlot(JRBarPlot barPlot)

      Specified by:
        `getBarPlot` in class `JRAbstractObjectFactory`

    - #### getBar3DPlot

          public JRBar3DPlot getBar3DPlot(JRBar3DPlot barPlot)

      Specified by:
        `getBar3DPlot` in class `JRAbstractObjectFactory`

    - #### getLinePlot

          public JRLinePlot getLinePlot(JRLinePlot linePlot)

      Specified by:
        `getLinePlot` in class `JRAbstractObjectFactory`

    - #### getAreaPlot

          public JRAreaPlot getAreaPlot(JRAreaPlot areaPlot)

      Specified by:
        `getAreaPlot` in class `JRAbstractObjectFactory`

    - #### getXyzDataset

          public JRXyzDataset getXyzDataset(JRXyzDataset xyzDataset)

      Specified by:
        `getXyzDataset` in class `JRAbstractObjectFactory`

    - #### getXyDataset

          public JRXyDataset getXyDataset(JRXyDataset xyDataset)

    - #### getHighLowDataset

          public JRHighLowDataset getHighLowDataset(JRHighLowDataset highLowDataset)

    - #### getXyzSeries

          public JRXyzSeries getXyzSeries(JRXyzSeries xyzSeries)

      Specified by:
        `getXyzSeries` in class `JRAbstractObjectFactory`

    - #### getBubblePlot

          public JRBubblePlot getBubblePlot(JRBubblePlot bubblePlot)

      Specified by:
        `getBubblePlot` in class `JRAbstractObjectFactory`

    - #### getCandlestickPlot

          public JRCandlestickPlot getCandlestickPlot(JRCandlestickPlot candlestickPlot)

      Specified by:
        `getCandlestickPlot` in class `JRAbstractObjectFactory`

    - #### getHighLowPlot

          public JRHighLowPlot getHighLowPlot(JRHighLowPlot highLowPlot)

    - #### getScatterPlot

          public JRScatterPlot getScatterPlot(JRScatterPlot scatterPlot)

    - #### getTimeSeriesPlot

          public JRTimeSeriesPlot getTimeSeriesPlot(JRTimeSeriesPlot plot)

    - #### getValueDataset

          public JRValueDataset getValueDataset(JRValueDataset valueDataset)

    - #### getMeterPlot

          public JRMeterPlot getMeterPlot(JRMeterPlot meterPlot)

    - #### getThermometerPlot

          public JRThermometerPlot getThermometerPlot(JRThermometerPlot thermometerPlot)

    - #### getMultiAxisPlot

          public JRMultiAxisPlot getMultiAxisPlot(JRMultiAxisPlot multiAxisPlot)

    - #### visitChart

          public void visitChart(JRChart chart)

    - #### getSubreportReturnValue

          protected JRBaseSubreportReturnValue getSubreportReturnValue(JRSubreportReturnValue returnValue)

    - #### getReturnValue

          protected BaseReturnValue getReturnValue(ReturnValue returnValue)

    - #### getConditionalStyle

          public JRConditionalStyle getConditionalStyle(JRConditionalStyle conditionalStyle,
                                               JRStyle style)

      Specified by:
        `getConditionalStyle` in class `JRAbstractObjectFactory`

    - #### getCrosstabDataset

          public JRBaseCrosstabDataset getCrosstabDataset(JRCrosstabDataset crosstabDataset)

    - #### getCrosstabRowGroup

          public JRBaseCrosstabRowGroup getCrosstabRowGroup(JRCrosstabRowGroup group)

    - #### getCrosstabColumnGroup

          public JRBaseCrosstabColumnGroup getCrosstabColumnGroup(JRCrosstabColumnGroup group)

    - #### getCrosstabBucket

          public JRBaseCrosstabBucket getCrosstabBucket(JRCrosstabBucket bucket)

    - #### getCrosstabMeasure

          public JRBaseCrosstabMeasure getCrosstabMeasure(JRCrosstabMeasure measure)

    - #### visitCrosstab

          public void visitCrosstab(JRCrosstab crosstab)

    - #### resolveCrosstabId

          protected int resolveCrosstabId(JRCrosstab crosstab)

    - #### getDataset

          public JRBaseDataset getDataset(JRDataset dataset)

    - #### getDatasetRun

          public JRBaseDatasetRun getDatasetRun(JRDatasetRun datasetRun)

    - #### getCell

          public JRBaseCellContents getCell(JRCellContents cell)

    - #### getCrosstabCell

          public JRCrosstabCell getCrosstabCell(JRCrosstabCell cell)

    - #### getCrosstabParameter

          public JRBaseCrosstabParameter getCrosstabParameter(JRCrosstabParameter parameter)

    - #### visitFrame

          public void visitFrame(JRFrame frame)

    - #### getHyperlinkParameter

          public JRHyperlinkParameter getHyperlinkParameter(JRHyperlinkParameter parameter)

    - #### getHyperlink

          public JRHyperlink getHyperlink(JRHyperlink hyperlink)

    - #### getChartAxis

          public JRChartAxis getChartAxis(JRChartAxis axis)

    - #### getReportTemplate

          public JRReportTemplate getReportTemplate(JRReportTemplate template)

    - #### getPropertyExpression

          public JRPropertyExpression getPropertyExpression(JRPropertyExpression propertyExpression)

    - #### visitComponentElement

          public void visitComponentElement(JRComponentElement componentElement)

      Description copied from interface: `JRVisitor`
      Visits a component wrapper element.
      Parameters:
        `componentElement` - the element to visit

    - #### getGenericElementParameter

          public JRGenericElementParameter getGenericElementParameter(JRGenericElementParameter elementParameter)

    - #### visitGenericElement

          public void visitGenericElement(JRGenericElement element)

      Description copied from interface: `JRVisitor`
      Visits a generic report element.
      Parameters:
        `element` - the element to visit

    - #### getMultiAxisData

          public MultiAxisData getMultiAxisData(MultiAxisData data)

    - #### getMultiAxisDataset

          public MultiAxisDataset getMultiAxisDataset(MultiAxisDataset dataset)

    - #### getElementDataset

          public JRElementDataset getElementDataset(JRElementDataset dataset)

    - #### getDataAxis

          public DataAxis getDataAxis(DataAxis axis)

    - #### getDataAxisLevel

          public DataAxisLevel getDataAxisLevel(DataAxisLevel level)

    - #### getDataLevelBucket

          public DataLevelBucket getDataLevelBucket(DataLevelBucket bucket)

    - #### getDataMeasure

          public DataMeasure getDataMeasure(DataMeasure measure)

    - #### getDataLevelBucketProperty

          public DataLevelBucketProperty getDataLevelBucketProperty(DataLevelBucketProperty bucketProperty)

    - #### getCrosstabColumnCell

          public CrosstabColumnCell getCrosstabColumnCell(CrosstabColumnCell cell)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com